Networking
Purge edge cache
Purge the edge cache for an application, removing all cached content. Use this when you need cached resources to be refreshed immediately without waiting for the cache TTL to expire.
POST
/
applications
/
{id}
/
purge-cache
Purge edge cache
curl --request POST \
--url https://api.sevalla.com/v3/applications/{id}/purge-cache \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sevalla.com/v3/applications/{id}/purge-cache"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sevalla.com/v3/applications/{id}/purge-cache', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Cache purged successfully"
}{
"message": "Unauthorized",
"status": 401,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Forbidden",
"status": 403,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Too many requests",
"status": 429,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Internal Server Error",
"status": 500,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Path Parameters
Application identifier
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Response
Default Response
Confirmation message
Example:
"Cache purged successfully"
Was this page helpful?
⌘I
Purge edge cache
